// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: accelfin-server-demo-fx-dtos.proto

package com.accelfin.server.demo.fx.dtos;

public interface PriceUpdateResponseDtoOrBuilder extends
    // @@protoc_insertion_point(interface_extends:com.accelfin.server.demo.fx.dtos.PriceUpdateResponseDto)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <code>optional .com.accelfin.server.demo.fx.dtos.FxSpotPriceDto price = 1;</code>
   */
  boolean hasPrice();
  /**
   * <code>optional .com.accelfin.server.demo.fx.dtos.FxSpotPriceDto price = 1;</code>
   */
  com.accelfin.server.demo.fx.dtos.FxSpotPriceDto getPrice();
  /**
   * <code>optional .com.accelfin.server.demo.fx.dtos.FxSpotPriceDto price = 1;</code>
   */
  com.accelfin.server.demo.fx.dtos.FxSpotPriceDtoOrBuilder getPriceOrBuilder();
}
